Bug 850635 - RFE: Drupal 6 support
RFE: Drupal 6 support
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Hao Chang Yu
Jeff Fearn
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 00:30 EDT by Jeff Fearn
Modified: 2013-01-31 22:53 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2012-08-22 00:30:56 EDT
Drupal 6 is a popular CMS capable of consuming multiple input formats, DocBook is not one of them it handles well. Publican should offer the ability to transform DocBook XML in to a format that Drupal can consistently import.

Features:

** Export to a format Drupal handles well
** Track ID changes generated by clean_ids and import in to Drupal
** Ensure images are handled cleanly
** Ensure tables are handled cleanly
** Ensure updated books import cleanly (repeatability)
** Ensure Drupal stylist has full style control
** Consistently apply chunking to content Drupal imports.

Possible Additional Features:

** handle multiple versions of a book, e.g. Fedora 16 and Fedora 17 IG.

Additional Info:

If a specific format can not be identified that allows the control required investigate directly editing the Drupal DB. (Least preferred approach).

Note You need to log in before you can comment on or make changes to this bug.